// dependency: browser.js
var browser = new Browser();

function Client() {
    this.getInnerWidth = getInnerWidth;
    this.getInnerHeight = getInnerHeight;
    this.getPageYOffset = getPageYOffset;
    this.getPageXOffset = getPageXOffset;
}

function getInnerWidth() {
    if (browser.isIE) return document.body.clientWidth;
    else if (browser.isNS) return window.innerWidth;
}
function getInnerHeight() {
    if (browser.isIE) return document.body.clientHeight;
    else if (browser.isNS) return window.innerHeight;
}
function getPageYOffset() {
    if (browser.isIE) return document.body.scrollTop;
    else if (browser.isNS) return window.pageYOffset;
}
function getPageXOffset() {
    if (browser.isIE) return document.body.scrollLeft;
    else if (browser.isNS) return window.pageXOffset;
}
