// dependency: dom_utility.js
var domUtility = new DomUtility();

// dependency: browser.js
var browser = new Browser();

function TitleBar(windowId) {
    // attribute (inner object)
    this.htmlElement = domUtility.getElementByClassName(document.getElementById(windowId), "title_bar");    

    this.icon = domUtility.getElementByClassName(this.htmlElement, "icon");
    this.caption = domUtility.getElementByClassName(this.htmlElement, "caption");
    
    this.minimizeButton = new Button(domUtility.getElementByClassName(this.htmlElement, "minimize_button"));
    this.maxmimizeButton = new Button(domUtility.getElementByClassName(this.htmlElement, "maximize_button"));
    this.restoreButton = new Button(domUtility.getElementByClassName(this.htmlElement, "restore_button"));
    this.closeButton = new Button(domUtility.getElementByClassName(this.htmlElement, "close_button"));

    this.minimizeButton.addActionListener(this);
    this.maxmimizeButton.addActionListener(this);
    this.restoreButton.addActionListener(this);
    this.closeButton.addActionListener(this);
    
    this.actionPerformed = actionPerformed;
    function actionPerformed(event) {
        //alert('target.className: '+event.target.className+'\ntype: '+event.type);
        /* 
        if (browser.isNS) {
            switch (event.type) {
                case "mousedown":
                    var regExp;
                    regExp = new RegExp("(w)*minimize_button(w)*", "i");
                    if (regExp.test(event.target.className)) alert('minimize button clicked'); 
                    regExp = new RegExp("(w)*maximize_button(w)*", "i");
                    if (regExp.test(event.target.className)) alert('maximize button clicked'); 
                    regExp = new RegExp("(w)*restore_button(w)*", "i");
                    if (regExp.test(event.target.className)) alert('restore button clicked'); 
                    regExp = new RegExp("(w)*close_button(w)*", "i");
                    if (regExp.test(event.target.className)) alert('close button clicked'); 
                    break;
                case "mouseup":
                    break;
            }
        } else if (browser.isIE) {
            switch (event.type) {
                case "mousedown":
                    var regExp;
                    regExp = new RegExp("(w)*minimize_button(w)*", "i");
                    if (regExp.test(event.target.className)) alert('minimize button clicked'); 
                    regExp = new RegExp("(w)*maximize_button(w)*", "i");
                    if (regExp.test(event.target.className)) alert('maximize button clicked'); 
                    regExp = new RegExp("(w)*restore_button(w)*", "i");
                    if (regExp.test(event.target.className)) alert('restore button clicked'); 
                    regExp = new RegExp("(w)*close_button(w)*", "i");
                    if (regExp.test(event.target.className)) alert('close button clicked'); 
                    break;
                case "mouseup":
                    break;
            }
        }
        */
    }
}
