// dependency: browser.js
var browser = new Browser();
// dependency: dom_utility.js
var domUtility = new DomUtility();
// dependency: title_bar.js
 
// init windowList
function initWindowList() {
    var windowList = new Array();
    var elements = document.getElementsByTagName("div");
    for (var i=0; i<elements.length; i++) {
        var regExp = new RegExp("window$", "i");
        if (regExp.test(elements[i].className)) {
            windowList[elements[i].id] = new Window(elements[i]);
        }
    }
    return windowList;
} 

// window object
function Window(divElement) {
    // attribute (inner object)
    this.htmlElement = divElement;
    this.titleBar = new TitleBar(domUtility.getElementByClassName(divElement, "title_bar"));
    this.menuBar = new MenuBar(domUtility.getElementByClassName(divElement, "menu_bar"));
    this.toolBar = new ToolBar(domUtility.getElementByClassName(divElement, "tool_bar"));
    this.canvas = new Canvas(domUtility.getElementByClassName(divElement, "canvas"));
    this.statusBar = new StatusBar(domUtility.getElementByClassName(divElement, "status_bar"));

    // attribute (color)
    this.activeFrameBackgroundColor = this.htmlElement.style.backgroundColor;
    this.activeFrameBorderColor = this.htmlElement.style.borderColor;

    // attribute (status flag)
    this.isOpen;
    this.isMinimized;

    // method (event handler)
    /*
    this.htmlElement.onmousemove = resizeCursorActivate;
    this.htmlElement.onmouseout = resizeCursorDeactivate;
    this.htmlElement.onmousedown = resizeDragStart;
    this.titleBar.htmlElement.onmousedown = moveDragStart;
    */
    

    // method (member function)
    this.open = open;
    this.close = close;
    this.minimize = minimize;
    this.maximize = maximize;
    this.restore = restore;
    this.activate = activate;
    this.deactivate = deactivate;
    
    function open() {
    }

    function close() {
    }

    function minimize() {
    }

    function maximize() {
    }

    function restore() {
    }

    function activate() {
    }

    function deactivate() {
    }

    function moveDragStart(event) {
       alert('drag start'); 
    }

    function moveDragExecute(event) {
    }

    function moveDragStop(event) {
    }

    function resizeDragStart(event) {
    }

    function resizeDragExecute(event) {
    }

    function resizeDragStop(event) {
    }

    function resizeCursorActivate(event) {
    }

    function resizeCursorDeactivate(event) {
    }

    
}


