function DomUtility() {
    this.getElementByClassName = getElementByClassName;
    this.winFindByClassName = winFindByClassName;

    /*
    function getElementByClassName(element, className) {
        var tmpElement;
        alert("element.className: "+element.className+", className: "+className);
        if (element.className == className) return element;
        
        // traverse child
        for (var i=0; element.childNodes.length; i++) {
            tmpElement = getElementByClassName(element.childNodes[i], className)
            if (tmpElement != null) return tmpElement;
        }
        
        return null;
    }
    */
    function getElementByClassName(element, className) {
        var tmpElement;
        if (element != null && element.className == className) return element;
        
        if (element.firstChild != null) {
            // isVisited check
            tmpElement = getElementByClassName(element.firstChild, className);
            if (tmpElement != null) return tmpElement;
        } else {
            if (element.nextSibling) {
                tmpElement = getElementByClassName(element.nextSibling, className);
                if (tmpElement != null) return tmpElement;
            } else {
                tmpElement = getElementByClassName(element.parentNode, className);
                if (tmpElement != null) return tmpElement;
            }
        }
        
    }

    function winFindByClassName(el, className) {
        var i, tmp;
        if (el.className == className) return el;
        for (i = 0; i < el.childNodes.length; i++) {
            tmp = winFindByClassName(el.childNodes[i], className);
            if (tmp != null) return tmp;
        }
        return null;
    }    
}



