// dependency: browser.js
var browser = new Browser();
// dependency: dom_utility.js
var domUtility = new DomUtility();

// window object
function Window(divElement) {
    // local variable
    
    // attribute (inner object)
    this.frame = divElement;
    //this.titleBar = domUtility.getElementByClassName(divElement, "titleBar");
    this.titleBar = domUtility.winFindByClassName(divElement, "titleBar");
    this.titleBarIcon = domUtility.winFindByClassName(divElement, "titleBarIcon");
    this.titleBarText = domUtility.winFindByClassName(divElement, "titleBarCaption");
    this.titleBarMinButton = domUtility.winFindByClassName(divElement, "titleBarCloseButton");
    this.titleBarMaxButton = domUtility.winFindByClassName(divElement, "titleBarMaximizeButton");
    this.titleBarCloseButton = domUtility.winFindByClassName(divElement, "titleBarMinimizeButton");
    this.clientArea = domUtility.winFindByClassName(divElement, "clientArea");

    // attribute 
    this.activeFrameBackgroundColor;
    this.activeFrameBorderColor;
    this.activeTitleBarColor;
    this.activeTitleBarTextColor;
    this.activeClientAreaScrollbarColor;
    this.isOpen;
    this.isMinimized;

    // event handler
    this.frame.parentWindow = this;
    this.frame.onclick = activate;
    this.frame.onmousemove = resizeCursorActivate;
    this.frame.onmouseout = resizeCursorDeactivate;
    this.frame.onmousedown = resizeDragStart;

    this.titleBar.parentWindow = this;
    this.titleBar.onclick = activate;
    this.titleBar.onmousedown = moveDragStart;

    this.clientArea.parentWindow = this;
    this.clientArea.onclick = activate;
    
    
    // method
    function open() {
    }

    function close() {
    }

    function minimize() {
    }

    function maximize() {
    }

    function restore() {
    }

    function activate() {
    }

    function deactivate() {
    }

    function moveDragStart(event) {
    }

    function moveDragExecute(event) {
    }

    function moveDragStop(event) {
    }

    function resizeDragStart(event) {
    }

    function resizeDragExecute(event) {
    }

    function resizeDragStop(event) {
    }

    function resizeCursorActivate(event) {
    }

    function resizeCursorDeactivate(event) {
    }

    
}


