function CheckboxTextCtrl() {
    var checkboxElements = new Array();
    var textElement = null;
    
    this.addCheckbox = addCheckbox;
    this.addText = addText;
    this.isChecked = isChecked;
    this.check = check;

    function addCheckbox(elementId, checkedFlag) {
        var checkboxElement = document.getElementById(elementId);
        if (checkedFlag != null) checkboxElement.checked = checkedFlag;
        checkboxElements[checkboxElements.length] = checkboxElement;
    }

    function addText(elementId) {
        textElement = document.getElementById(elementId);
        check();
    }

    function isChecked() {
        for (var i=0; i<checkboxElements.length; i++) {
            if (checkboxElements[i].checked) return true;
        }
        return false;
    }

    function check() {
        var checkedFlag = isChecked();
        textElement.readOnly = !checkedFlag;
        if (!checkedFlag) textElement.value = "";
    }
}
