<!--
Title: file_upload_sample
Description: file upload ui control template
Create on:
Modified on:
Author: codelabor@codelabor.org
Browsers: IE5+ and NS6+

Made by codelabor http://codelabor.org
May be used and changed freely as long as this msg is intact
-->
<%@ page 
contentType="text/html; charset=euc-kr"
import="
com.sds.portal.file.vo.FileVo,
com.sds.portal.file.command.ListFileCmd;
"
%>

<%
FileVo[] fileVoArray = (FileVo[]) request.getAttribute(ListFileCmd.PARAM_FILE_VO_ARRAY);
Vector orphanFileIdVector = (Vector) request.getAttribute(ListFileCmd.PARAM_ORPHAN_FILE_ID_VECTOR);
%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html;charset=euc-kr">
        <link type="text/css" rel="stylesheet" href="./css/theme/default/table.css">        
        <script language="javascript" src="./js/servlet_utility.js"></script>
        <script language="javascript">
            <!--
            var servletUtility = new ServletUtility();
            servletUtility.setContextPath('\<%= request.getContextPath() %>');
            //-->
        </script>        
        <script language="javascript" src="./js/download_file.js"></script>
        <script language="javascript" src="./js/delete_file.js"></script>
        <style type="text/css">
            <!--
            .fileName {
                width: 30%;
                text-align: left;
            }

            .fileSize {
                width: 30%;
                text-align: right;
            }

            .downloads {
                text-align: right;
            }
            
            .action {
                text-align: center;
            }
            
            
            //-->
        </style>

    </head>
    <body>
        <h1>Uploaded File List</h1>
        <hr>

        <table>
            <thead>
            <tr>
                <th>name</th><th>size</th><th>downloads</th><th>action</th>
            </tr>
            </thead>
            <tbody>
        <%
        if (fileVoArray == null) {
        } else {
            for (int i=0; i<fileVoArray.length; i++) {
                // for debugging uncomment below
                //out.print(fileVoArray[i].toString());
                out.println("<tr>");
                
                out.print("<td class='fileName'>");
                out.print(fileVoArray[i].getOriginalFileName());
                out.print("</td>");
                
                out.print("<td class='fileSize'>");
                out.print(fileVoArray[i].getFileSize()+" byte");
                out.print("</td>");
                
                out.print("<td class='downloads'>");
                out.print(fileVoArray[i].getDownloads());
                out.print("</td>");

                out.print("<td class='action'>");
                if (orphanFileIdVector.contains(fileVoArray[i].getFileId())) {
                    out.println("unavailable");
                } else {
                    out.print("<input type='button' value='download' onClick='javascript: downloadFile("+fileVoArray[i].getFileId()+")'>");
                    out.print("<input type='button' value='delete' onClick='javascript: deleteFile("+fileVoArray[i].getFileId()+")'>");
                }
                out.print("</td>");


                out.println("</tr>");
            }
        }
        %>
            </tbody>
        </table>
        <input type="button" value="upload" onClick="javascript: location.href='<%= request.getContextPath() %>/FileController?cmd=preUploadFile'">
    </body>
</html>


