<!--
Title: qna_upload_sample
Description: qna upload ui control template
Create on:
Modified on:
Author: codelabor@codelabor.org
Browsers: IE5+ and NS6+

Made by codelabor http://codelabor.org
May be used and changed freely as long as this msg is intact
-->
<%@ page 
contentType="text/html; charset=euc-kr"
import="
java.util.*,
com.sds.common.controller.*,
com.sds.common.util.Locator,
com.sds.portal.post.vo.*,
com.sds.portal.post.command.ListQNAFileCmd
"
%>

<%
Locator locator = Locator.getInstance();

// list data
CompleteQNAFileVo[] qnaFileVoArray = (CompleteQNAFileVo[]) request.getAttribute(ListQNAFileCmd.ATTRIB_QNA_FILE_VO_ARRAY);

// page info
ListPageInfoVo listPageInfoVo = (ListPageInfoVo) request.getAttribute(ListQNAFileCmd.ATTRIB_LIST_PAGE_INFO_VO);

// search condition
HashMap searchCondition = listPageInfoVo.getSearchCondition();
String searchKeyword = (String) searchCondition.get(ListQNAFileCmd.PARAM_SEARCH_KEYWORD);
Integer searchTargetBoardId = (Integer) searchCondition.get(ListQNAFileCmd.PARAM_SEARCH_TARGET_BOARD_ID);
Boolean tmpSearchTargetAuthorId = (Boolean) searchCondition.get(ListQNAFileCmd.PARAM_SEARCH_TARGET_AUTHOR_ID);
Boolean tmpSearchTargetTitle = (Boolean) searchCondition.get(ListQNAFileCmd.PARAM_SEARCH_TARGET_TITLE);
Boolean tmpSearchTargetContent = (Boolean) searchCondition.get(ListQNAFileCmd.PARAM_SEARCH_TARGET_CONTENT);
boolean searchTargetAuthorId = false;
boolean searchTargetTitle = false;
boolean searchTargetContent = false;
if (tmpSearchTargetAuthorId != null) searchTargetAuthorId = tmpSearchTargetAuthorId.booleanValue();
if (tmpSearchTargetTitle != null) searchTargetTitle = tmpSearchTargetTitle.booleanValue();
if (tmpSearchTargetContent != null) searchTargetContent = tmpSearchTargetContent.booleanValue();
// get transaction token
String transactionToken = (String) request.getAttribute(TransactionTokenHelper.ATTRIB_TRANSACTION_TOKEN);
%>

<html>
    <head>
        <meta http-equiv="Content-Type" title="text/html;charset=euc-kr">
        <link type="text/css" rel="stylesheet" href="./css/theme/default/table.css">        
        <script language="javascript" src="./js/servlet_utility.js"></script>
        <script language="javascript" src="./js/checkbox_text_ctrl.js"></script> 
        <script language="javascript">
            <!--
            var servletUtility = new ServletUtility();
            servletUtility.setContextPath('\<%= request.getContextPath() %>');
            
            var checkboxTextCtrl = null;
            function init() {
                checkboxTextCtrl = new CheckboxTextCtrl();
                checkboxTextCtrl.addCheckbox('searchTargetAuthorId', <%= searchTargetAuthorId %>);
                checkboxTextCtrl.addCheckbox('searchTargetTitle', <%= searchTargetTitle %>);
                checkboxTextCtrl.addCheckbox('searchTargetContent', <%= searchTargetContent %>);
                checkboxTextCtrl.addText('searchKeyword');
            }
            
            //-->
        </script>        
        <script language="javascript" src="./js/post_qna_file.js"></script>
        <script language="javascript" src="./js/read_qna_file.js"></script>
        <script language="javascript" src="./js/delete_qna_file.js"></script>
        <script language="javascript" src="./js/list_qna_file.js"></script>
        <style type="text/css">
            <!--

            .no {
                width: 50px;
                text-align: right;
            }

            .boardId {
                width: 50px;
                text-align: right;
            }
            
            .postId {
                width: 50px;
                text-align: right;
            }
            
            .qnaTitle {
                width: 300px;
                text-align: left;
            }

            .views {
                width: 20px;
                text-align: right;
            }
            
            .action {
                text-align: center;
            }

            .pageIndex {
                width: 20px;
            }
            
            
            //-->
        </style>

    </head>
    <body onLoad="init()">
        <div id="titleDivision">
            <h1>Posted QNA List</h1>
        </div>
        
        <hr>

        <div id="searchDivision">
            <form id="listQNAForm">
                <!-- transaction token -->
                <input type="hidden" name="<%= TransactionTokenHelper.PARAM_TRANSACTION_TOKEN %>" value="<%= transactionToken %>">
                board id <input type="text" name="<%= ListQNAFileCmd.PARAM_SEARCH_TARGET_BOARD_ID %>" value="<%= searchTargetBoardId %>">
                <input type="checkbox" name="<%= ListQNAFileCmd.PARAM_SEARCH_TARGET_AUTHOR_ID %>" id="searchTargetAuthorId" onClick="checkboxTextCtrl.check()">author
                <input type="checkbox" name="<%= ListQNAFileCmd.PARAM_SEARCH_TARGET_TITLE %>" id="searchTargetTitle" onClick="checkboxTextCtrl.check()">title
                <input type="checkbox" name="<%= ListQNAFileCmd.PARAM_SEARCH_TARGET_CONTENT %>" id="searchTargetContent" onClick="checkboxTextCtrl.check()">content
                <input type="text" name="<%= ListQNAFileCmd.PARAM_SEARCH_KEYWORD %>" value="<%= searchKeyword %>" id="searchKeyword">
                <input type="button" value="search" onClick="javascript: listQNAFile(0, this.form.id)">
            </form>
        </div>


        <div id="listDivision">
            <%
            out.println("[hits: "+listPageInfoVo.getNumberOfHits()+" / total: "+listPageInfoVo.getNumberOfPosts()+"]");
            %>
            <table>
                <thead>
                <tr>
                    <th>no</th><th>boardId</th><th>postId</th><th>title</th><th>authorId</th><th>views</th><th>action</th>
                </tr>
                </thead>
                <tbody>
            <%
           
            Integer[] postNumberArray = listPageInfoVo.getPostNumberArray();
            if (qnaFileVoArray == null) {
            } else {
                CompleteQNAVo qnaVo = null;
                Integer postNumber = null;
                Integer boardId = null;
                Integer postId = null;
                String title = null;
                String authorId = null;
                Integer views = null;
                
                for (int i=0; i<qnaFileVoArray.length; i++) {
                    qnaVo = qnaFileVoArray[i].getQNAVo();
                    postNumber = postNumberArray[i];
                    boardId = qnaVo.getBoardId();
                    postId = qnaVo.getPostId();
                    title = qnaVo.getTitle();
                    authorId = qnaVo.getAuthorId();
                    views = qnaVo.getViews();

                    out.println("<tr>");
                    
                    out.print("<td class='no'>");
                    out.print(postNumber);
                    out.print("</td>");

                    out.print("<td class='boardId'>");
                    out.print(boardId);
                    out.print("</td>");
                    
                    out.print("<td class='postId'>");
                    out.print(postId);
                    out.print("</td>");
                    
                    out.print("<td class='qnaTitle'>");
                    for (int j=0; j<qnaVo.getThreadDepth().intValue(); j++) out.println("&nbsp;&nbsp;"); 
                    out.print(title);
                    out.print("</td>");
                    
                    out.print("<td class='authorId'>");
                    out.print(authorId);
                    out.print("</td>");
                    
                    out.print("<td class='views'>");
                    out.print(views);
                    out.print("</td>");

                    out.print("<td>");
                    out.print("<input type='button' value='read' onClick='javascript: readQNAFile("+qnaVo.getPostId()+")'>");
                    out.print("<input type='button' value='delete' onClick='javascript: deleteQNAFile("+qnaVo.getPostId()+")'>");
                    out.print("</td>");


                    out.println("</tr>");
                }
            }
            %>
                </tbody>
            </table>
        </div>
        
        <div id="indexDivision">
        <span class='pageIndex'><a href="javascript: listQNAFile(<%= listPageInfoVo.getFirstPageIndex() %>, 'listQNAForm')">[first]</a></span>
        <span class='pageIndex'><a href="javascript: listQNAFile(<%= listPageInfoVo.getPreviousPageIndex() %>, 'listQNAForm')">[prev]</a></span>
        <%
        /*
        out.println("<span class='pageIndex'><a href='javascript: listQNAFile('listQNAForm', "+listPageInfoVo.getFirstPageIndex()+")'>[first]</a></span>");
        out.println("<span class='pageIndex'><a href='javascript: listQNAFile('listQNAForm', "+listPageInfoVo.getPreviousBundlePageIndex()+")'>[prev]</a></span>");
        */
        
        Integer[] pageIndexArray = listPageInfoVo.getPageIndexArray();
        for (int j=0; j<pageIndexArray.length; j++) {
        %> 
            <span class='pageIndex'><a href="javascript: listQNAFile(<%= pageIndexArray[j] %>, 'listQNAForm')">[<%= (pageIndexArray[j].intValue() + 1) %>]</a></span>
       <%
          //out.print("<span class='pageIndex'><a href='javascript: listQNAFile('listQNAForm', "+pageIndexArray[j]+")'>["+ (pageIndexArray[j].intValue() + 1) +"]</a></span>");
        }
        
        /*
        out.println("<span class='pageIndex'><a href='javascript: listQNAFile('listQNAForm', "+listPageInfoVo.getNextBundlePageIndex()+")'>[next]</a></span>");
        out.println("<span class='pageIndex'><a href='javascript: listQNAFile('listQNAForm', "+listPageInfoVo.getLastPageIndex()+")'>[last]</a></span>");
        */
        %>
        <span class='pageIndex'><a href="javascript: listQNAFile(<%= listPageInfoVo.getNextPageIndex() %>, 'listQNAForm')">[next]</a></span>
        <span class='pageIndex'><a href="javascript: listQNAFile(<%= listPageInfoVo.getLastPageIndex() %>, 'listQNAForm')">[last]</a></span>
        </div>
        
        <hr>
        
        <div id="buttonDivison">
            <input type="button" value="post" onClick="javascript: prePostQNAFile()">
        </div>
    </body>
</html>


