<!--
Title: qna_upload_sample
Description: qna upload ui control template
Create on:
Modified on:
Author: codelabor@codelabor.org
Browsers: IE5+ and NS6+

Made by codelabor http://codelabor.org
May be used and changed freely as long as this msg is intact
-->

<%@ page
import="
com.sds.portal.post.vo.CompleteQNAVo,
com.sds.portal.post.command.ReadQNACmd;
"
%>

<%
Integer boardId = null;
Integer parentPostId = null;
Integer postId = null;
String authorId = null;
String title = null;
String content = null;
String ipAddr = null;
java.sql.Date postedDate = null;
java.sql.Date updatedDate = null;

CompleteQNAVo qnaVo = (CompleteQNAVo) request.getAttribute(ReadQNACmd.ATTRIB_POST_VO);

if (qnaVo != null) {
    boardId = qnaVo.getBoardId();
    parentPostId = qnaVo.getPostId();
    postId = qnaVo.getPostId();
    authorId = qnaVo.getAuthorId();
    title = qnaVo.getTitle();
    content = qnaVo.getContent();
    ipAddr = qnaVo.getIpAddr();
    postedDate = qnaVo.getPostedDate();    
    updatedDate = qnaVo.getUpdatedDate();    
}
%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html;charset=euc-kr">
        <link type="text/css" rel="stylesheet" href="./css/theme/default/table.css">
        <style type="text/css">
            <!--
            .input_field {
                width: 400px;
            }
            .input_area {
                width: 400px;
                height: 200px;
            }
            //-->
        </style>        
        <script language="javascript" src="./js/servlet_utility.js"></script>
        <script language="javascript">
            <!--
            var servletUtility = new ServletUtility();
            servletUtility.setContextPath('\<%= request.getContextPath() %>');
            //-->
        </script>        
        <script language="javascript" src="./js/list_qna.js"></script>
        <script language="javascript" src="./js/update_qna.js"></script>
        <script language="javascript" src="./js/reply_qna.js"></script>
    </head>
    <body>
        <h1>QNA Read UI Control Template</h1>
        <hr>
        <!-- <form method="post" enctype="multipart/form-data" action="<%= request.getContextPath() %>/QNAController"> -->
        <form method="post" action="<%= request.getContextPath() %>/QNAController?cmd=postQNA">
            
            <table>
                <tbody>
                    <tr>
                        <th>board id</th>
                        <td><%= boardId %></td>
                    </tr>
                    <tr>
                        <th>parent post id</th>
                        <td><%= parentPostId %></td>
                    </tr>
                    <tr>
                        <th>post id</th>
                        <td><%= postId %></td>
                    </tr>
                    
                    <tr>
                        <th>author id</th>
                        <td><%= authorId %></td>
                    </tr>
                    
                    <tr>
                        <th>title</th>
                        <td><%= title %></td>
                    </tr>

                    <tr>
                        <th>content</th>
                        <td><pre><%= content %></pre></td>
                    </tr>                    

                    <tr>
                        <th>ip address</th>
                        <td><%= ipAddr %></td>
                    </tr>
                    
                    <tr>
                        <th>posted date</th>
                        <td><%= postedDate %></td>
                    </tr>
                    
                    <tr>
                        <th>updated date</th>
                        <td><%= updatedDate %></td>
                    </tr>
                    
                    <tr>
                        <td colspan="2">
                            <input type="button" value="list" onClick="javascript: listQNA()">
                            <input type='button' value='update' onClick="javascript: preUpdateQNA(<%= postId%>)">
                            <input type='button' value='reply' onClick="javascript: preReplyQNA(<%= postId%>)">
                        </td>
                    </tr>
                </tbody>
            </table>
        </form>
    </body>
</html>



