<!--
Title: qna_upload_sample
Description: qna upload ui control template
Create on:
Modified on:
Author: codelabor@codelabor.org
Browsers: IE5+ and NS6+

Made by codelabor http://codelabor.org
May be used and changed freely as long as this msg is intact
-->

<%@ page
import="
com.sds.common.controller.*,
com.sds.portal.file.vo.*,
com.sds.portal.post.vo.*,
com.sds.portal.post.command.UpdateQNAFileCmd,
com.sds.portal.post.command.PreUpdateQNAFileCmd;
"
%>

<%
Integer boardId = null;
Integer parentPostId = null;
Integer postId = null;
String authorId = null;
String title = null;
String content = null;
Integer priority = null;
Integer threadDepth = null;
Boolean maskFlag = null;
Boolean htmlFlag = null;
String ipAddr = null;
java.sql.Date postedDate = null;

CompleteQNAFileVo qnaFileVo = (CompleteQNAFileVo) request.getAttribute(PreUpdateQNAFileCmd.ATTRIB_QNA_FILE_VO);
CompleteQNAVo qnaVo = qnaFileVo.getQNAVo();
FileVo[] fileVoArray = qnaFileVo.getFileVoArray();

if (qnaVo != null) {
    boardId = qnaVo.getBoardId();
    parentPostId = qnaVo.getPostId();
    postId = qnaVo.getPostId();
    authorId = qnaVo.getAuthorId();
    title = qnaVo.getTitle();
    content = qnaVo.getContent();
    priority = qnaVo.getPriority();
    threadDepth = qnaVo.getThreadDepth();
    maskFlag = qnaVo.getMaskFlag();
    htmlFlag = qnaVo.getHtmlFlag();
    ipAddr = qnaVo.getIpAddr();
    postedDate = qnaVo.getPostedDate();    
}
// get transaction token
String transactionToken = (String) request.getAttribute(TransactionTokenHelper.ATTRIB_TRANSACTION_TOKEN);
%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html;charset=euc-kr">
        <link type="text/css" rel="stylesheet" href="./css/theme/default/table.css">
        <style type="text/css">
            <!--
            .input_field {
                width: 400px;
            }
            .input_area {
                width: 400px;
                height: 200px;
                overflow: auto;                
            }
            //-->
        </style>        
        <script language="javascript" src="./js/form_utility.js"></script>
        <script language="javascript" src="./js/dom_utility.js"></script>
        <script language="javascript" src="./js/servlet_utility.js"></script>
        <script language="javascript">
            <!--
            // create form utility
            var formUtility = new FormUtility();
            var domUtility = new DomUtility();

            // create servlet utility
            var servletUtility = new ServletUtility();
            servletUtility.setContextPath('\<%= request.getContextPath() %>');
            //-->
        </script>           
        <script language="javascript" src="./js/list_qna_file.js"></script>        
        <script language="javascript" src="./js/update_qna_file.js"></script>        
        <script language="javascript" src="./js/delete_file.js"></script>
    </head>
    <body>
        <h1>QNA Update UI Control Template</h1>
        <hr>
        <form id="updateQNAForm" enctype="multipart/form-data">
            <!-- transaction token -->
            <input type="hidden" name="<%= TransactionTokenHelper.PARAM_TRANSACTION_TOKEN %>" value="<%= transactionToken %>">
            <input type="hidden" name="<%= UpdateQNAFileCmd.PARAM_POST_ID %>" value="<%= postId %>">
            
            <table>
                <tbody>
                    <tr>
                        <th>board id</th>
                        <td><%= boardId %></td>
                    </tr>
                    <tr>
                        <th>parent post id</th>
                        <td><%= parentPostId %></td>
                    </tr>
                    <tr>
                        <th>post id</th>
                        <td><%= postId %></td>
                    </tr>
                    
                    <tr>
                        <th>author id</th>
                        <td><%= authorId %></td>
                    </tr>

                    <tr>
                        <th>title</th>
                        <td><input class="input_field" type="text" name="<%= UpdateQNAFileCmd.PARAM_TITLE %>" value="<%= title %>"></td>
                    </tr>

                    <tr>
                        <th>content</th>
                        <td><textarea class="input_area" name="<%= UpdateQNAFileCmd.PARAM_CONTENT %>"><%= content %></textarea></td>
                    </tr>

                    <tr>
                        <th>type</th>
                        <td>
                        <% if (htmlFlag.booleanValue()) { %>
                        html<input class="" type="radio" name="<%= UpdateQNAFileCmd.PARAM_HTML_FLAG %>" value="true" checked>
                        &nbsp;&nbsp;
                        text<input class="" type="radio" name="<%= UpdateQNAFileCmd.PARAM_HTML_FLAG %>" value="false">
                        <% } else { %>
                        html<input class="" type="radio" name="<%= UpdateQNAFileCmd.PARAM_HTML_FLAG %>" value="true">
                        &nbsp;&nbsp;
                        text<input class="" type="radio" name="<%= UpdateQNAFileCmd.PARAM_HTML_FLAG %>" value="false" checked>
                        <% } %>
                        </td>
                    </tr>                        

                    <tr>
                        <th>ip address</th>
                        <td><%= ipAddr %></td>
                    </tr>          

                    <tr>
                        <th>posted date</th>
                        <td><%= postedDate %></td>
                    </tr>                    

                    <tr>
                        <th>file</th>
                        <td>
                            <div id="fileChooser">
                                <%
                                if (fileVoArray != null && fileVoArray.length > 0) {
                                    for (int i=0; i<fileVoArray.length; i++) {
                                        String fileName = fileVoArray[i].getOriginalFileName();
                                        Long fileSize = fileVoArray[i].getFileSize();
                                        Integer fileId = fileVoArray[i].getFileId();
                                        %>
                                        <div id='<%= "div"+fileId %>'>
                                        <input type="hidden" name="<%= UpdateQNAFileCmd.PARAM_FILE_ID_ARRAY_FOR_UPDATE %>" value="<%= fileId %>">
                                        <span class='file_name'><%= fileName %></span>
                                        <span class='file_size'><%= fileSize %>byte</span>
                                        <input type='button' value='delete' onClick="<%= "removeAttachment(this.form.id, '"+fileId+"'); domUtility.removeElementById('fileChooser', 'div"+fileId+"')" %>">
                                        </div>
                                        <%
                                        
                                    }
                                }
                                %>
                                <input type="file" name="file_1">
                            </div>
                        </td>
                    </tr>                    
                    
                    <tr>
                        <td colspan="2">
                            <input type="button" value="more file..." onClick="formUtility.addInputFormField('fileChooser', 'file')">
                            <input type="button" value="list" onClick="javascript: listQNAFile()">
                            <input type="button" value="update" onClick="javascript: updateQNAFile(this.form.id)"> 
                            <input type="reset" value="reset">
                        </td>
                    </tr>
                </tbody>
            </table>
        </form>
    </body>
</html>


