function trim(argStr){
	var pos1, pos2
	for(pos1=0; (argStr.charAt(pos1) == ' ' || argStr.charAt(pos1) == '') && pos1 < argStr.length ; pos1++) ;
		for(pos2=argStr.length-1; (argStr.charAt(pos2) == ' ' || argStr.charAt(pos2) == '') && pos2 >= 0 ; pos2--) ;
			if(pos1 > pos2) return ""
	return argStr.substr(0,pos2+1).substring(pos1)
}

function replace(originalString, findText, replaceText){

	originalString = trim(originalString)

	var pos = 0
	var preStr = ""
	var postStr = ""

	pos = originalString.indexOf(findText)
	while (pos != -1) {
		preString = originalString.substr(0,pos)
		postString = originalString.substring(pos+findText.length)
		originalString = preString + replaceText + postString
		pos = originalString.indexOf(findText)
	}

	return originalString
}


function isEmpty(str) {
   return length(trim(str))==0 ? true:false;		
}

function isNumeric(num) {
 var i=0;

 num=trim(num) ;
 if(num.charAt(0)=='-') i=1;

 for(;i<num.length;i++)
   if(!(num.charAt(i)>='0' && num.charAt(i)<='9')) return false;

 return true; 
}

function isDecimal(num) {
 var i=0, dot=0;
 num=trim(num);
 if(num.charAt(0)=='-') i=1;

 for(i;i<num.length;i++) {

   if(!((num.charAt(i)>='0' && num.charAt(i)<='9') || num.charAt(i) == '.')) return false;
   if(num.charAt(i)=='.') dot++;

 }

 if(dot>1||num.charAt(0)=='.') return false;
  
 return true; 
}

function length(text) {
  var i,len=0;

  for(i=0;i<text.length;i++)
      if (escape(text.charAt(i)).length>3) len++;

  return (text.length + len);
}


function substring(value,s,size) {
  var i,e=size,len=0;
  var str="";
       
  for(i=0;i<value.length;i++) {
    if (escape(value.charAt(i)).length>3) len++;
    len++;
    if(len>=s) break;
  }

  s=(len>s) ? i:i+1;
  len=0;

  for(i=s;i<value.length;i++) {
    if (escape(value.charAt(i)).length>3) len++;
    len++;
    if(len>=e) break;
  }
  e=(len>e) ? i:i+1;

  str=value.substr(s,e-s);
  if(len!=size && value.length!=i) str=str+'_';

  return str;
}

function setEnabledAll(FrmObject,bool){
   var ImgObj = FrmObject.document.all.tags("IMG"); 
   
   for(i=0;i<ImgObj.length;i++) setEnabled(ImgObj[i],bool);
}
function setEnabled(FrmObject,bool){   
   var imgName =".." + FrmObject.src.substr(FrmObject.src.indexOf("/img/"),50);
   imgName=imgName.substr(0,imgName.length - 4);  
   
   FrmObject.src = bool?imgName+".gif" : imgName+"_f2.gif";	
   FrmObject.onmouseover = bool ?new Function("this.src='" + imgName + "_f2.gif'") : "";
   FrmObject.onmouseout  = bool ?new Function("this.src='" + imgName + ".gif'") : ""; 
   FrmObject.disabled =(!bool);  
}  

function checkPeriod(strtDate,endDate) {
  if(strtDate!="" && endDate!="")
      if(((new Date(strtDate))-(new Date(endDate)))>0) return false;
        
   return true; 
}   

/* ======================================================================
FUNCTION:  	ѱ,  ׸ ѿ  ڿ ؼ ڿ ̸ 
RETURN:  	ڿ  
====================================================================== */

function getByteLength(s){
   var len = 0;
   if ( s == null ) return 0;
   for(var i=0;i<s.length;i++){
      var c = escape(s.charAt(i));
      if ( c.length == 1 ) len ++;
      else if ( c.indexOf("%u") ! =-1 ) len += 2;
      else if ( c.indexOf("%") != -1 ) len += c.length/3;
   }
   return len;
}

// /ѱϴ ڿ SubString
// substring(ʱ⹮ڿ,  ġ(0ͽ), ¥ϴ ڿ )
function substring(value,s,size) {
  var i,e=size,len=0;
  var str="";
       
  for(i=0;i<value.length;i++) {
    if (escape(value.charAt(i)).length>3) len++;
    len++;
    if(len>=s) break;
  }

  s=(len>s) ? i:i+1;
  len=0;

  for(i=s;i<value.length;i++) {
    if (escape(value.charAt(i)).length>3) len++;
    len++;
    if(len>=e) break;
  }
  e=(len>e) ? i:i+1;

  str=value.substr(s,e-s);
  if(len!=size && value.length!=i) str=str+'_';

  return str;
}

function getLengthCheck(formname,fieldname, fieldLength, fieldflag) {
	var formobj ;
	var formobj1;
	var styleobj;
	if (document.all) {
 		var frmname=formname ;
		var fldname=fieldname ;
		formobj=eval("document."+formname.name+"."+fieldname.name);
		formobj1=eval("document."+formname.name);
		styleobj=eval("document.all."+fieldname.name+".style");
		if(getByteLength(formobj.value) > fieldLength) { 
			alert(fieldLength + " ̻ Է  ϴ.");
			if ( fieldflag == 0 ) {
				formobj.value ="";
			}
			if ( fieldflag == 1 ) {
				formobj.value = substring(formobj.value,0,fieldLength);
			}
			formobj.focus() 
		}
		if ( fieldflag == 3 ) {
			formobj.value ="";
			formobj.focus() 
		}
	}
}

// Է  Լ  (  )
function CheckKeys() { 
	if(( event.keyCode >= 97 && event.keyCode <= 122) || (event.keyCode >=65 && event.keyCode <=90)) { 
		event.keyCode=0; 
		window.alert("ڸ Է մϴ.");
	}
} 

// Ư Է (  )
function dodacheck(val) { 

var mikExp = /[$\\@\\\#%\^\&\*\(\)\[\]\+\_\{\}\`\~\=\|]/; 

var strPass = val.value; 
var strLength = strPass.length; 
var lchar = val.value.charAt((strLength) - 1); 
	if(lchar.search(mikExp) != -1) { 
		var tst = val.value.substring(0, (strLength) - 1); 
		val.value = tst; 
	} 
}

// ڿ ڸ Է°(  )
function validCharNum(field) {                                      
	var valid = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789" // ȿ  
	var ok = "yes";                                                 
	var temp;                                                       
	for (var i=0; i<field.value.length; i++) {                      
		temp = "" + field.value.substring(i, i+1);                      
		if (valid.indexOf(temp) == "-1") ok = "no";                     
	}                                                               
	if (ok == "no") {                                               
		alert("ڿ ڸ Է մϴ");                       
		field.focus();                                                  
		field.select();                                                 
	}                                                            
}                                                     

// ڿ ڸ Է°(  )
function validCharNumCode(field) {                                      
	var valid = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789" // ȿ  
	var ok = "yes";                                                 
	var temp;                                                       
	for (var i=0; i<field.value.length; i++) {                      
		temp = "" + field.value.substring(i, i+1);                      
		if (valid.indexOf(temp) == "-1") ok = "no";                     
	}                                                               
	if (ok == "no") {                                               
		alert(" 빮ڿ ڸ Է մϴ");                       
		field.focus();                                                  
		field.select();                                                 
	}                                                            
}                                                     

// ڸ Է°(  )
// 簡 ߰ 
// bomber@samsung.co.kr
// 2001. 11. 3
// ( Է  Լ ȣڰ  bug )
function validNum(field) {                                      
	var valid = "0123456789" // ȿ  
	var ok = "yes";                                                 
	var temp;                                                       
	for (var i=0; i<field.value.length; i++) {                      
		temp = "" + field.value.substring(i, i+1);                      
		if (valid.indexOf(temp) == "-1") ok = "no";                     
	}                                                               
	if (ok == "no") {                                               
		alert("ڸ Է մϴ");                       
		field.focus();                                                  
		field.select();                                                 
	}                                                            
}                                                               

// , ĺ  Է Լ (빮)
// : CheckNumKeys()
// : Ż (2001. 11. 3) bomber@chollian.net
// : onKeyPress="checkLargeAlphaNumKeys()" ̺Ʈ ڱ۷ 
function checkLargeAlphaNumKeys() {
	//  Ű ڵ (48 - 57 "0" "9")
	if (event.keyCode >= 48 && event.keyCode <= 57) {
		;
	//  빮 Ű ڵ (65 - 90 "A" "Z")
	} else if (event.keyCode >= 65 && event.keyCode <= 90) {
		;
	// Ÿ ڵ
	} else {
		event.keyCode=0; 
		window.alert(",  빮ڸ Է մϴ.");
	}
}


//   Է Լ
// : CheckKeys()
// : Ż (2001. 11. 3) bomber@chollian.net
// : onKeyPress="checkNumKeys()" ̺Ʈ ڱ۷ 
function checkNumKeys() { 
	//  Ű ڵ (48 - 57 "0" "9")
	if (event.keyCode >= 48 && event.keyCode <= 57) {
		;
	// Ÿ ڵ
	} else {
		event.keyCode=0; 
		window.alert("ڸ Է մϴ.");
	}
}


function gotoHelp() {
	var parsedTmp = parent.main.location.pathname;
	var hlpPage = "/system/help/linkhelp_do.jsp?PA_CUR_PAGE=" + parsedTmp;
	window.open(hlpPage, "hlpWin", "width=550,height=350");
	return;
}                                                                               

// Է ڿ (, Ǽ) üũմϴ.
// ׷   (#,###,###.0000) ȯմϴ.
// OnBlur Event   -->
//  :  cvtFixedLengthMoneyFormat(formname, fieldname, negative, len, real)
// formname : Form ̸
// fieldname : Form ʵ ̸
// negative :   : 1,   : 0
// len : Ҽ ()   
// real :  Ҽ  ڸ   ũ, '0' ̸ , '1' ̸̻ Ǽ

function cvtFixedLengthMoneyFormat(formname, fieldname, negative, len, real) {

	var formobj;
	var formobj;
	var inputLength;
	var convertedVal;
	var re = /^\$|,/g;
	var inTmpArr;
	var inTmpCnt;
	var nega = 0;
	
	if (document.all) {
 		var frmname = formname;
		var fldname = fieldname;
		formobj = eval("document."+formname.name+"."+fieldname.name);

		//  ڿ ó
		if (formobj.value == "") {
			formobj.value="";
			return;			
		}

		// "-", ".", ","   ó
		if (formobj.value.length == 1) {
			if (formobj.value == '-' || formobj.value == "." || formobj.value == "," || formobj.value == " ") {
				formobj.value="";
				return;
			}
		}

		inTmpArr = formobj.value.split('.');
		inTmpCnt = formobj.value.indexOf('.');
		 
		// Է  ڿ  
		if (len <= real) {
			formobj.value = "";
			return;
		} else {
			len = len-real;
		}	
		//  ϰ '-' Է ϸ
		if (negative == '1' || negative == true || negative == "true") {	
			if (formobj.value.length > 0 && formobj.value.indexOf('-') == 0) { 
				nega = 1;	
			}
		//  ϰ
		} else {
			// '-' Է ϸ	
			if (formobj.value.length > 0 && formobj.value.indexOf('-') == 0) {
				alert(" Է  ùٸ ʽϴ.");
				formobj.value="";
				return;
			}
		}
		if (real > 0 && inTmpCnt >= 0) {
			if (nega == 1) {			
				inputLength = (inTmpArr[0].substr(1).replace(re, "")).length;
			} else {
				inputLength = (inTmpArr[0].replace(re, "")).length;	
			}
		} else {
			if (nega == 1) {
				inputLength = (formobj.value.substr(1).replace(re, "")).length;
			} else {
				inputLength = (formobj.value.replace(re, "")).length;
			}	
		}	
		// Է ڿ  üũ
		if (inputLength > len) { 
			alert(len + " ̻ Է  ϴ.");
			formobj.value = "";
			return;
		}
		
		convertedVal = cvtMoneyFormat(formobj.value, nega, real);
		formobj.value = convertedVal;
		return;		
	}
}

function cvtMoneyFormat (inputVal, nega, real) { 
	
	// ","  Է   
	var re = /^\$|,/g;
	inputVal = inputVal.replace(re, "");
	if (inputVal == "") {
		return "";
	}
	// ڿ VALIDATION ó
	// , Ǽ 
	// ,  

	var r = 0;
	var n = 0;
	for (var i=0; i<inputVal.length; i++) {
		var c = inputVal.charAt(i);
		if (c == '.') { 
			r +=1;
			if (r > 1) {
				return "";
			}
		}
		
		if (nega == 1 && c == '-') {
			n +=1;
			if (n > 1) {
				return "";
			}
		}
		if (parseInt(real) > 0) {
			//  Ǽ
			if (nega == 1) {
				if (c != '.' && c != '-' && (c < '0' || c > '9')) {
					alert("ڸ Է մϴ.");
					return "";
				}
			//  Ǽ
			} else {
				if (c != '.' && (c < '0' || c > '9')) {
					alert("ڸ Է մϴ.");
					return "";
				}			
			}
		} else {
			//  			
			if (nega == 1) {
				if (c != '.' && c != '-' && (c < '0' || c > '9')) {
					alert(" Է մϴ.");
					return "";
				}
			//  
			} else {
				if (c != '.' && (c < '0' || c > '9')) {
					alert(" Է մϴ.");
					return "";
				}			
			}			
		}
	}
   	var arg = "";
   	var fx = "";
	
	var decLoc = inputVal.indexOf('.');
	var inputValTmp = inputVal.split('.');	
	
	// Ǽ  
	if (real > 0) {
		// ڳ "."  .
		if (decLoc < 0) {
			arg = new Number(inputVal);
			for (var i=0; i<real; i++) {
				fx = fx + "0";
			}
		// ڳ "." .
		} else {
			arg = new Number(inputValTmp[0]);
			for (var i =0; i<real; i++) {
				var ch = inputValTmp[1].charAt(i);
				if (ch == null || ch == '') {
					fx = fx + "0";	
				} else {
					fx = fx + ch;
				}
			}
		}
	//   
	} else {
		arg = new Number(Math.round(inputVal)); // ݿø
	}
	
	var retVal = "";
	var commaInterval = 3; // "," 
	var minus = "";
    	
    	//   "-" ȣ "+" ȣ ȯ
    	// minus  "-" Ҵ
	if (nega == 1) {
		arg = arg*(-1); 
		minus = "-"; 
	} else {
		arg = arg*1;
	}
	// ڿ ȯ
	var argStr = new String(arg);
	var argStrLen = argStr.length;
    	
    	// ڿ 3  "," 
	while (argStrLen > 0) { 
		argStrLen = argStrLen - commaInterval; 
		if (argStrLen < 0) {
			commaInterval = argStrLen + commaInterval;
			argStrLen = 0;
		}
		retVal = "," + argStr.substr(argStrLen, commaInterval) + retVal; 
	}
	
	//  
	var returnValue = "";
	
	// Ǽ  "."  ߰
	if (real > 0) {
		returnValue = minus + retVal.substr(1) + "." + fx; 
	} else {
		returnValue = minus + retVal.substr(1);
	}
	
    return returnValue;
}
