function forward(menuName) {
	switch (menuName) {
		// Getting started
		case "INTRODUCTION":
			top.forward(self.name, "forwardForm", "listFrame", "./doc/introduction.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./doc/goal.html");
			break;	
		case "INSTALL_AND_RUN":
			top.forward(self.name, "forwardForm", "listFrame", "./doc/install_and_run.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./doc/install.html");
			break;	
			
		// Main function 
		case "VALIDATE":
			top.forward(self.name, "forwardForm", "listFrame", "./main_function/validate/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./main_function/validate/description.html");
			break;	

		// Sub Filter (Primitive)
		case "DATE":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_primitive/date/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_primitive/date/description.html");
			break;	
		case "TIME":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_primitive/time/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_primitive/time/description.html");
			break;	
		case "TIMESTAMP":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_primitive/timestamp/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_primitive/timestamp/description.html");
			break;	
		case "NUMERIC":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_primitive/numeric/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_primitive/numeric/description.html");
			break;	
		case "ALPHABETIC":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_primitive/alphabetic/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_primitive/alphabetic/description.html");
			break;	
		case "ALPHA_NUMERIC":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_primitive/alpha_numeric/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_primitive/alpha_numeric/description.html");
			break;	
			
		// Sub Filter (Custom)
		case "URI":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_custom/uri/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_custom/uri/description.html");
			break;	
		case "EMAIL":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_custom/email/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_custom/email/description.html");
			break;	
		case "PHONE_NUMBER":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_custom/phone_number/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_custom/phone_number/description.html");
			break;	
		case "RESIDENT_REGISTRATION_NUMBER":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_custom/resident_registration_number/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_custom/resident_registration_number/description.html");
			break;	
		case "PASSWORD":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_custom/password/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_custom/password/description.html");
			break;	
			
		// Sub Filter (Utility)
		case "EMPTY_CHECK":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_utility/empty_check/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_utility/empty_check/description.html");
			break;	
		case "LENGTH_CHECK":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_utility/length_check/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_utility/length_check/description.html");
			break;	
		case "RANGE_CHECK":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_utility/range_check/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_utility/range_check/description.html");
			break;	
		case "SIZE_COMPARE":
			top.forward(self.name, "forwardForm", "listFrame", "./sub_filter_utility/size_compare/function.html");
			top.forward(self.name, "forwardForm", "contentsFrame", "./sub_filter_utility/size_compare/description.html");
			break;	
		default:
			window.alert("usage: forward('menuName')");
			break;
	}
}
