package org.codelabor.security;

import java.security.MessageDigest;

/**
 * MD5 ˰  ڿ ؽѴ.
 * ҽ apache tomcat org.apache.catalina.realm.ReamBase  , ʿ κи Ͽ.
 * <br>
 * application    digest ޼ҵ带 ϰ, ü prompt Ȥ command line 󿡼    Ʒ  Ѵ.
 * <br>
 * Usage: MD5Digest &lt;credentials&gt;
 * @author Ż
 * @version 1.0
 * @see apache tomcat ҽ  org.apache.catalina.realm.BaseReam
 * @since 2003. 3. 25 
 */
public class MD5Digest {
    public static void main(String[] args) {
        if (args.length != 1) {
			System.out.println("Usage: MD5Digest <credentials>");
        } else {
	        System.out.println(args[0] + ": " + digest(args[0]));
        }
    }

    public final static String digest(String credentials) {
        try {
            MessageDigest md = (MessageDigest) MessageDigest.getInstance("MD5").clone();
            md.update(credentials.getBytes());
            return (convert(md.digest()));
        } catch(Exception ex) {
            ex.printStackTrace();
            return credentials;
        }
    }

    private static String convert(byte[] bytes) {
        StringBuffer sb = new StringBuffer(bytes.length * 2);
        for (int i = 0; i < bytes.length; i++) {
            sb.append(convertDigit((int) (bytes[i] >> 4)));
            sb.append(convertDigit((int) (bytes[i] & 0x0f)));
        }
        return (sb.toString());
    }

    private static char convertDigit(int value) {
        value &= 0x0f;
        if (value >= 10)
            return ((char) (value - 10 + 'a'));
        else
            return ((char) (value + '0'));
    }
}
