package com.sds.portal.file.command;

import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import javax.naming.*;

import org.apache.commons.fileupload.*;

import com.sds.portal.file.delegate.FileDelegate;
import com.sds.common.command.Command;
import com.sds.common.util.*;

public class PreUploadFileCmd extends Command {
    private String forwardPage;

    /**
     * @clientCardinality 1
     * @supplierCardinality 1 
     */
    private FileDelegate fileDelegate;

    public PreUploadFileCmd(String forwardPage) {
        super(forwardPage);
    }

    public PreUploadFileCmd() {
        super();
    }

    public String execute(HttpServletRequest req, HttpServletResponse res) throws Exception {
        Locator locator = Locator.getInstance();

        // determin interface type
        Boolean isLocalInteface = (Boolean) locator.lookup("java:comp/env/file/isLocalInterface");

		// delegate
		fileDelegate = new FileDelegate(isLocalInteface);

        try {
            return this.getForwardPage();
        } catch (Exception ex) {
            throw ex;
        }
    }    
}
