<!--
Title: qna_upload_sample
Description: qna upload ui control template
Create on:
Modified on:
Author: codelabor@codelabor.org
Browsers: IE5+ and NS6+

Made by codelabor http://codelabor.org
May be used and changed freely as long as this msg is intact
-->

<%@ page
import="
com.sds.common.controller.*,
com.sds.portal.post.vo.CompleteQNAVo,
com.sds.portal.post.command.PrePostQNACmd,
com.sds.portal.post.command.PostQNACmd;
"
%>

<%
String authorId = null;
String title = null;
String content = null;
Integer boardId = null;
CompleteQNAVo parentQNAVo = (CompleteQNAVo) request.getAttribute(PrePostQNACmd.ATTRIB_PARENT_POST_VO);

if (parentQNAVo != null) {
    authorId = parentQNAVo.getAuthorId();
    title = "Re: "+parentQNAVo.getTitle();
    content = authorId+ " wrote... <br>" + parentQNAVo.getContent();
    boardId = parentQNAVo.getBoardId();
}

// get transaction token
String transactionToken = (String) request.getAttribute(TransactionTokenHelper.ATTRIB_TRANSACTION_TOKEN);
%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html;charset=euc-kr">
        <link type="text/css" rel="stylesheet" href="./css/theme/default/table.css">
        <style type="text/css">
            <!--
            .input_field {
                width: 400px;
            }
            .input_area {
                width: 400px;
                height: 200px;
                overflow: auto;

            }
            //-->
        </style>        
        <script language="javascript" src="./js/servlet_utility.js"></script>        
        <script language="javascript">
            <!--
            var servletUtility = new ServletUtility();
            servletUtility.setContextPath('\<%= request.getContextPath() %>');
            //-->
        </script> 
        <script language="javascript" src="./js/list_qna.js"></script>
        <script language="javascript" src="./js/post_qna.js"></script>
    </head>
    <body>
        <h1>QNA Post UI Control Template</h1>
        <hr>
        <form id="postQNAForm">
            <!-- transaction token -->
            <input type="hidden" name="<%= TransactionTokenHelper.PARAM_TRANSACTION_TOKEN %>" value="<%= transactionToken %>">
            
            <table>
                <tbody>
                    <tr>
                        <th>board id</th>
                        <td><input class="input_field" type="text" name="<%= PostQNACmd.PARAM_BOARD_ID %>" value="<%= boardId %>"></td>
                    </tr>
                    
                    <tr>
                        <th>author id</th>
                        <td><input class="input_field" type="text" name="<%= PostQNACmd.PARAM_AUTHOR_ID %>"></td>
                    </tr>
                    
                    <tr>
                        <th>title</th>
                        <td><input class="input_field" type="text" name="<%= PostQNACmd.PARAM_TITLE %>" value="<%= title %>"></td>
                    </tr>

                    <tr>
                        <th>type</th>
                        <td>
                        html<input class="" type="radio" name="<%= PostQNACmd.PARAM_HTML_FLAG %>" value="true" checked>
                        &nbsp;&nbsp;
                        text<input class="" type="radio" name="<%= PostQNACmd.PARAM_HTML_FLAG %>" value="false">
                        </td>
                    </tr>                    

                    <tr>
                        <th>content</th>
                        <td><textarea class="input_area" name="<%= PostQNACmd.PARAM_CONTENT %>"><%= content %></textarea></td>
                    </tr>
                    
                    <tr>
                        <td colspan="2">
                            <input type="button" value="list" onClick="javascript: listQNA()">
                            <input type="button" value="post" onClick="javascript: postQNA('postQNAForm')">
                            <input type="reset" value="reset">
                        </td>
                    </tr>
                </tbody>
            </table>
        </form>
    </body>
</html>


