<!--
Title: qna_upload_sample
Description: qna upload ui control template
Create on:
Modified on:
Author: codelabor@codelabor.org
Browsers: IE5+ and NS6+

Made by codelabor http://codelabor.org
May be used and changed freely as long as this msg is intact
-->

<%@ page
import="
com.sds.portal.post.vo.CompleteQNAVo,
com.sds.portal.post.command.PrePostQNACmd,
com.sds.portal.post.command.PostQNACmd;
"
%>

<%
String authorId = null;
String title = null;
String content = null;
Integer boardId = null;
Integer parentPostId = null;
Boolean htmlFlag = null;
java.sql.Date postedDate = null;
CompleteQNAVo parentQNAVo = (CompleteQNAVo) request.getAttribute(PrePostQNACmd.ATTRIB_PARENT_POST_VO);

authorId = parentQNAVo.getAuthorId();
title = parentQNAVo.getTitle();
content = parentQNAVo.getContent();
boardId = parentQNAVo.getBoardId();
parentPostId = parentQNAVo.getPostId();
postedDate = parentQNAVo.getPostedDate();
htmlFlag = parentQNAVo.getHtmlFlag();

title = "Re: "+title;
content = "===========================\n"+authorId+" wrote at "+postedDate+"\n"+ content;

%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html;charset=euc-kr">
        <link type="text/css" rel="stylesheet" href="./css/theme/default/table.css">
        <style type="text/css">
            <!--
            .input_field {
                width: 400px;
            }
            .input_area {
                width: 400px;
                height: 200px;
                overflow: auto;
            }
            //-->
        </style>     
        <script language="javascript" src="./js/servlet_utility.js"></script>        
        <script language="javascript">
            <!--
            var servletUtility = new ServletUtility();
            servletUtility.setContextPath('\<%= request.getContextPath() %>');
            //-->
        </script>         
        <script language="javascript" src="./js/list_qna.js"></script>
        <script language="javascript" src="./js/reply_qna.js"></script>
        <script language="javascript">
            <!--
            // create form utility
            //-->
        </script>        
    </head>
    <body>
        <h1>QNA Reply UI Control Template</h1>
        <hr>
        <form id="replyQNAForm">
            
            <table>
                <tbody>
                    <tr>
                        <th>board id</th>
                        <td><%= boardId %></td>
                        <input type="hidden" name="<%= PostQNACmd.PARAM_BOARD_ID %>" value="<%= boardId %>">
                    </tr>
                    <tr>
                        <th>parent post id</th>
                        <td><%= parentPostId %></td>
                        <input type="hidden" name="<%= PostQNACmd.PARAM_PARENT_POST_ID %>" value="<%= parentPostId %>">
                    </tr>
                    
                    <tr>
                        <th>author id</th>
                        <td><input class="input_field" type="text" name="<%= PostQNACmd.PARAM_AUTHOR_ID %>"></td>
                    </tr>
                    
                    <tr>
                        <th>title</th>
                        <td><input class="input_field" type="text" name="<%= PostQNACmd.PARAM_TITLE %>" value="<%= title %>"></td>
                    </tr>

                    <tr>
                        <th>type</th>
                        <td>
                        <% if (htmlFlag.booleanValue()) { %>
                            html<input class="" type="radio" name="<%= PostQNACmd.PARAM_HTML_FLAG %>" value="true" checked>
                            &nbsp;&nbsp;
                            text<input class="" type="radio" name="<%= PostQNACmd.PARAM_HTML_FLAG %>" value="false">
                        <% } else { %>
                            html<input class="" type="radio" name="<%= PostQNACmd.PARAM_HTML_FLAG %>" value="true">
                            &nbsp;&nbsp;
                            text<input class="" type="radio" name="<%= PostQNACmd.PARAM_HTML_FLAG %>" value="false" checked>
                        <% } %>
                        </td>
                    </tr>                       

                    <tr>
                        <th>content</th>
                        <td>
                            <textarea class="input_area" name="<%= PostQNACmd.PARAM_CONTENT %>"><%= content %></textarea>
                            </td>
                    </tr>
                    
                    <tr>
                        <td colspan="2">
                            <input type="button" value="list" onClick="javascript: listQNA()">
                            <input type="button" value="reply" onClick="javascript: replyQNA(this.form.id)">
                            <input type="reset" value="reset">
                        </td>
                    </tr>
                </tbody>
            </table>
        </form>
    </body>
</html>


